aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2015-11-13 14:39:12 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2015-11-15 14:41:22 +0000
commit4a7c14b7091b0b7cc4b74ed398866331a2c9e8c0 (patch)
tree1bb9989cde23ee2ed954fdccf3702ca579d3ee54
parent811941224d7a8a944429f418acf22325516d6e52 (diff)
downloadaports-4a7c14b7091b0b7cc4b74ed398866331a2c9e8c0.tar.gz
aports-4a7c14b7091b0b7cc4b74ed398866331a2c9e8c0.tar.bz2
aports-4a7c14b7091b0b7cc4b74ed398866331a2c9e8c0.tar.xz
testing/ilbc: new aport
Internet Low Bitrate Codec - FreeSwitch https://freeswitch.org/stash/projects/SD/repos/libilbc/browse
-rw-r--r--testing/ilbc/APKBUILD47
1 files changed, 47 insertions, 0 deletions
diff --git a/testing/ilbc/APKBUILD b/testing/ilbc/APKBUILD
new file mode 100644
index 0000000000..1c9bbcbd0c
--- /dev/null
+++ b/testing/ilbc/APKBUILD
@@ -0,0 +1,47 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=ilbc
+pkgver=0.0.1
+pkgrel=0
+pkgdesc="Internet Low Bitrate Codec - FreeSwitch"
+url="https://freeswitch.org/stash/projects/SD/repos/libilbc/browse"
+arch="all"
+license="BSD"
+depends=""
+makedepends="autoconf automake libtool"
+install=""
+subpackages="$pkgname-dev"
+source="http://files.freeswitch.org/downloads/libs/ilbc-$pkgver.tar.gz"
+
+_builddir="$srcdir"/ilbc-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+ sh bootstrap.sh || return 1
+}
+
+build() {
+ cd "$_builddir"
+ ./configure \
+ --build=$CBUILD \
+ --host=$CHOST \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --localstatedir=/var \
+ || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="8a18d2b09ea0d00c87670f6a240c602a ilbc-0.0.1.tar.gz"
+sha256sums="87ef3dc284a587bbaa4187e8088dcc39ce9994b549b15dc2a02ce288ad409c4a ilbc-0.0.1.tar.gz"
+sha512sums="84bff9d20e0681f78cf4930a2cbd68e77bdbac0e38e43125faa73120179909ebb80c565fedf211f3171b75c6c7e1661d3b6bfe0ffcf891dc6c5d5459ca5d3383 ilbc-0.0.1.tar.gz"